%global major_version %%(echo %{version} | cut -d. -f1-2)

Summary:	Serialization and deserialization support for JSON
Name:		json-glib
Version:	1.8.0
Release:	1%{?dist}
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/JsonGlib
Source0:	https://download.gnome.org/sources/%{name}/%{major_version}/%{name}-%{version}.tar.xz
# for manpage
BuildRequires:	/usr/bin/xsltproc docbook-style-xsl
BuildRequires:	gobject-introspection-devel >= 1.54.0
BuildRequires:	glib2-devel >= 2.54.0
BuildRequires:	meson python3 gettext

Requires:	glib2 >= 2.54.0

%description
JSON-GLib is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format described by RFC 4627.
JSON is a lightweight data-interchange format.
Many high-level languages already provide native modules for parsing, generating
and manipulating JSON data streams. JSON-GLib is a C library based on GLib.


%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for %{name}.


%package tests
Summary: Tests for the json-glib package
Requires: %{name} = %{version}-%{release}

%description tests
The json-glib-tests package contains tests that can be used to verify
the functionality of the installed json-glib package.


%prep
%setup -q -n %{name}-%{version}


%build
%meson -Dman=true -Dgtk_doc=disabled
%meson_build


%install
%meson_install

%check
%meson_test


%files
%license COPYING
%doc NEWS README.md CONTRIBUTING.md
%{_libdir}/lib%{name}-1.0.so.0*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Json-1.0.typelib
%{_datadir}/locale/*

%files devel
%{_includedir}/%{name}-1.0/
%{_libdir}/lib%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_bindir}/%{name}-format
%{_bindir}/%{name}-validate
%{_mandir}/man1/%{name}-format.1*
%{_mandir}/man1/%{name}-validate.1*
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Json-1.0.gir

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/


%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.8.0-1
- Upgrade to version 1.8.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.6-2
- Rebuilt for OpenCloudOS Stream 23

* Wed May 11 2022 rockerzhu <rockerzhu@tencent.com> - 1.6.6-1
- Initial build
